List Assets On Policy
curl --request GET \
--url https://api.example.com/view-specific/{policyId}/assetsimport requests
url = "https://api.example.com/view-specific/{policyId}/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/view-specific/{policyId}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "<string>",
"id": "<string>",
"lastModifiedAt": "<string>",
"createdAt": "<string>",
"policyId": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"createdOnBranch": true,
"editedOnBranch": true,
"startedAt": "<string>",
"stoppedAt": "<string>",
"cancelledAt": "<string>",
"externalAssetId": "<string>",
"quote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"options": {
"tier": "<string>",
"excess": "<string>",
"assetId": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": true,
"unavailabilityMessage": "<string>"
}
],
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
]
},
"basePrice": 123
},
"proratedQuote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"options": {
"tier": "<string>",
"excess": "<string>",
"assetId": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": true,
"unavailabilityMessage": "<string>"
}
],
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
]
},
"basePrice": 123
}
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}{
"title": "FORBIDDEN"
}{
"title": "POLICY_NOT_FOUND"
}view-specific
List Assets On Policy
GET
/
view-specific
/
{policyId}
/
assets
List Assets On Policy
Path Parameters
Query Parameters
the number of items to return
the page to retrieve
Optional: the whenAt datetime
Optional: the simulatedAt datetime
Optional: the branchId
Was this page helpful?
⌘I

